Package Details: mangohud-git 0.6.8.r66.g8450291-1

Git Clone URL: https://aur.archlinux.org/mangohud-git.git (read-only, click to copy)
Package Base: mangohud-git
Description: A Vulkan overlay layer for monitoring FPS, temperatures, CPU/GPU load and more.
Upstream URL: https://github.com/flightlessmango/MangoHud
Keywords: benchmark hud opengl overlay performance vulkan
Licenses: MIT
Conflicts: mangohud, mangohud-common, mangohud-common-git
Provides: mangohud, mangohud-common
Replaces: mangohud-common-git
Submitter: dnmodder
Maintainer: dnmodder (jackun)
Last Packager: dnmodder
Votes: 15
Popularity: 0.39
First Submitted: 2020-02-06 22:40 (UTC)
Last Updated: 2023-01-25 03:24 (UTC)

Required by (15)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

d2_ricci commented on 2023-01-15 21:25 (UTC)

I switched back to the release version of mangohud due to the conflicts with glfw-x11 and glfw-wayland.

Please fix that it can use glfw-wayland instead of replacing it

MithicSpirit commented on 2023-01-14 19:16 (UTC)

@ChrisLane From my testing in docker it does not even successfully build with glfw-wayland.

ChrisLane commented on 2023-01-14 16:48 (UTC)

Does the package have to require glfw-x11 specifically? This conflicts with my glfw (glfw-wayland) that's installed.

dnmodder commented on 2023-01-13 23:36 (UTC)

Right now I'm working on it.

thaliya commented on 2023-01-13 23:05 (UTC)

Same Error /usr/bin/ld: /usr/lib/libGLEW.so: error adding symbols: file in wrong format Would be great if fixed

xenhat commented on 2023-01-13 20:24 (UTC)

Not building in a clean chroot here, also getting /usr/bin/ld: /usr/lib/libGLEW.so: error adding symbols: file in wrong format

MithicSpirit commented on 2023-01-11 13:28 (UTC)

Getting a similar issue, but mine is failing earlier (at glew). Likely due to me building in a clean chroot.

dnmodder commented on 2023-01-11 11:39 (UTC)

I'll try to fix it today.

pkr commented on 2023-01-11 10:05 (UTC) (edited on 2023-01-11 10:07 (UTC) by pkr)

Hi, current version is not building. I'm suspecting the listing of a dependency is missing somewhere. At least this is what the error message suggests.

Take a look:


imgui| C++ compiler for the host machine: c++ (gcc 12.2.0 "c++ (GCC) 12.2.0")
imgui| C++ linker for the host machine: c++ ld.bfd 2.39.0
imgui| Library d3d9 skipped: feature dx9 disabled
imgui| Library d3d10 skipped: feature dx10 disabled
imgui| Library d3d11 skipped: feature dx11 disabled
imgui| Library d3d12 skipped: feature dx12 disabled
imgui| Library metal skipped: feature metal disabled
imgui| Run-time dependency glew found: YES 2.2.0
imgui| Dependency vulkan skipped: feature vulkan disabled
imgui| Found CMake: /usr/bin/cmake (3.25.1)
imgui| Run-time dependency glfw3 found: NO (tried pkgconfig and cmake)

mangohud/subprojects/imgui-1.81/meson.build:50:0: ERROR: Dependency "glfw3" not found, tried pkgconfig and cmake

italoghost commented on 2023-01-10 17:53 (UTC)

Hi! Since latest commits, MangoApp is being installed by default. Could you add it to the package too? It is useful for launching games with gamescope.